net.i2p.i2ptunnel.access

## Class ExplicitFilterDefinitionElement

- java.lang.Object
- - net.i2p.i2ptunnel.access.FilterDefinitionElement
  - - net.i2p.i2ptunnel.access.ExplicitFilterDefinitionElement

-     class ExplicitFilterDefinitionElement
      extends FilterDefinitionElement

  Filter definition element for a single explicitly defined remote destination.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.i2ptunnel.access.FilterDefinitionElement

      `threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExplicitFilterDefinitionElement(String b32, Threshold threshold)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update(Map<Hash,DestTracker> map)` Updates the provided map with the hash(es) of remote destinations mentioned in this element

    - ### Methods inherited from class net.i2p.i2ptunnel.access.FilterDefinitionElement

      `fromBase32, getThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExplicitFilterDefinitionElement

          ExplicitFilterDefinitionElement(String b32,
                                          Threshold threshold)
                                   throws InvalidDefinitionException

      Parameters:
        `b32` - A string with the .b32 representation of the remote destination
        `threshold` - threshold to apply to that destination
      Throws:
        `InvalidDefinitionException` - if the b32 string is not valid b32

  - ### Method Detail

    - #### update

          public void update(Map<Hash,DestTracker> map)

      Description copied from class: `FilterDefinitionElement`
      Updates the provided map with the hash(es) of remote destinations mentioned in this element
      Specified by:
        `update` in class `FilterDefinitionElement`